Get Application By Id

Get Application By Id
Get application summary

Get application summary for an entity ID. This returns the application name.

Request
URI
GET
https://{api_host}/api/ni/groups/applications/{id}
COPY
Path Parameters
string
id
Required

The Entity ID of object requestion information on

Query Parameters
boolean
fetch_member_counts
Optional

True, if member counts should be fetched.

boolean
fetch_update_status
Optional

True, if the update status of the saved application should be fetched.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns Application of type(s) application/json
This response body class contains all of the following: BaseEntity , InlineApplication1
{
    "entity_id": "18230:561:271275765",
    "name": "App-1",
    "entity_type": "Application",
    "create_time": 1509410056733,
    "created_by": "admin@local",
    "last_modified_time": 0,
    "last_modified_by": "",
    "last_modified_by_service": ""
}

401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


404

Not Found

Returns NotFoundResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


500

Internal error

Returns InternalErrorResponse of type(s) application/json
{
    "code": 0,
    "message": "string",
    "details": [
        {
            "code": 0,
            "message": "string",
            "target": [
                "string"
            ]
        }
    ]
}
integer As int32 As int32
code
Optional

code

string
message
Optional

message

array of object
details
Optional

details


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/ni/groups/applications/{id}